## IdePrimaryWorkspace IdePrimaryWorkspace — The primary IDE window |

## Types and Values

#define | IDE_TYPE_PRIMARY_WORKSPACE
| IdePrimaryWorkspace

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkWindow
                            ╰── GtkApplicationWindow
                                ╰── DzlApplicationWindow
                                    ╰── IdeWorkspace
                                        ╰── IdePrimaryWorkspace

## Implemented Interfaces

IdePrimaryWorkspace implements AtkImplementorIface, GtkBuildable, GActionGroup and GActionMap.

## Description

The primary workspace is the main workspace window for the user. This is the "IDE experience" workspace. It is generally created by the workbench when opening a project (unless another workspace type has been requested).

See `ide_workbench_open_async()` for how to select another workspace type when opening a project.

## Functions

## Types and Values

### IDE_TYPE_PRIMARY_WORKSPACE

    #define IDE_TYPE_PRIMARY_WORKSPACE (ide_primary_workspace_get_type())

### IdePrimaryWorkspace

    typedef struct _IdePrimaryWorkspace IdePrimaryWorkspace;